---
url: "https://vueda.dev/v3/reference/api/rest/vueda.vdq/vueda.vdq_queueitem_list.md"
title: "vueda.vdq_queueitem_list"
---

# vueda.vdq_queueitem_list

## Overview

applying row level filter in get_queryset() causes problems
 with other drf actions, specifically encountered with create
 not finding it's created object

## Signature

`GET /vueda.vdq/queueitem/`

### Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| id | `integer` | no | Multiple values may be separated by commas. |
| last_updated | `string(date-time)` | no |  |
| method | `string` | no | * `email` - Email * `sms` - SMS |
| o | `string` | no | Which field to use when ordering the results. |
| p | `integer` | no | A page number within the paginated result set. |
| ps | `integer` | no | Number of results to return per page. |
| queued | `string(date-time)` | no |  |
| s | `string` | no | A search term. |
| workflow_state | `integer` | no | Multiple values may be separated by commas. |
| e | `string[]` | no | Replaces simple values with complex, nested serializations. |
| f | `string[]` | no | Selects a sparse subset of fields to include in the response. |

### Returns

[PaginatedDefaultQueueItemList](/v3/reference/api/rest/schemas/PaginatedDefaultQueueItemList.md)

## Responses

### `200 OK` {#200}

Returns [PaginatedDefaultQueueItemList](/v3/reference/api/rest/schemas/PaginatedDefaultQueueItemList.md)
